org.apache.ignite.internal.processors.cache.database.tree.io

## Interface DataPageIO.CC<T>

Type Parameters:
  `T` - Closure return type.

Enclosing class:
  DataPageIO

    public static interface DataPageIO.CC<T>

Defines closure interface for applying computations to data page items.

### Method Summary

Methods
`T` `apply(long link)` Closure body.

### Method Detail

#### apply

    T apply(long link)
            throws IgniteCheckedException

Closure body.

Parameters:
  `link` - Link to item.
Returns:
  Closure return value.
Throws:
  `IgniteCheckedException` - In case of error in closure body.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017